<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::impl::impl_bridge&lt; transmit_pipe_type, receive_pipe_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>impl</b></li><li class="navelem"><a class="el" href="classdlib_1_1impl_1_1impl__bridge.html">impl_bridge</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1impl_1_1impl__bridge-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::impl::impl_bridge&lt; transmit_pipe_type, receive_pipe_type &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::impl::impl_bridge&lt; transmit_pipe_type, receive_pipe_type &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1impl_1_1impl__bridge.png" usemap="#dlib::impl::impl_5Fbridge_3C_20transmit_5Fpipe_5Ftype_2C_20receive_5Fpipe_5Ftype_20_3E_map" alt=""/>
  <map id="dlib::impl::impl_5Fbridge_3C_20transmit_5Fpipe_5Ftype_2C_20receive_5Fpipe_5Ftype_20_3E_map" name="dlib::impl::impl_5Fbridge_3C_20transmit_5Fpipe_5Ftype_2C_20receive_5Fpipe_5Ftype_20_3E_map">
<area href="classdlib_1_1impl_1_1impl__bridge__base.html" alt="dlib::impl::impl_bridge_base" shape="rect" coords="0,0,374,24"/>
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="384,0,758,24"/>
<area href="classdlib_1_1multithreaded__object.html" alt="dlib::multithreaded_object" shape="rect" coords="768,0,1142,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a996ac1b5a6b56f4717317af559df253f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1impl_1_1impl__bridge.html#a996ac1b5a6b56f4717317af559df253f">impl_bridge</a> (unsigned short listen_port, transmit_pipe_type *transmit_pipe_, receive_pipe_type *receive_pipe_)</td></tr>
<tr class="separator:a996ac1b5a6b56f4717317af559df253f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee972b03113907051ce6333ea152d49f"><td class="memItemLeft" align="right" valign="top"><a id="aee972b03113907051ce6333ea152d49f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>impl_bridge</b> (const std::string ip_, unsigned short port_, transmit_pipe_type *transmit_pipe_, receive_pipe_type *receive_pipe_)</td></tr>
<tr class="separator:aee972b03113907051ce6333ea152d49f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa944c5481bbf3d5dd9a8ef40fe76afe0"><td class="memItemLeft" align="right" valign="top"><a id="aa944c5481bbf3d5dd9a8ef40fe76afe0"></a>
<a class="el" href="structdlib_1_1bridge__status.html">bridge_status</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_bridge_status</b> () const</td></tr>
<tr class="separator:aa944c5481bbf3d5dd9a8ef40fe76afe0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a85a860331c4a5f7cc6250049d9d77b50"><td class="memTemplParams" colspan="2"><a id="a85a860331c4a5f7cc6250049d9d77b50"></a>
template&lt;typename pipe_type &gt; </td></tr>
<tr class="memitem:a85a860331c4a5f7cc6250049d9d77b50"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1enable__if.html">enable_if</a>&lt; <a class="el" href="structdlib_1_1is__convertible.html">is_convertible</a>&lt; <a class="el" href="structdlib_1_1bridge__status.html">bridge_status</a>, typename pipe_type::type &gt; &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>enqueue_bridge_status</b> (pipe_type *p, const <a class="el" href="structdlib_1_1bridge__status.html">bridge_status</a> &amp;status)</td></tr>
<tr class="separator:a85a860331c4a5f7cc6250049d9d77b50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dbc46746cc9d3a848cdac3b1e7e818b"><td class="memTemplParams" colspan="2"><a id="a4dbc46746cc9d3a848cdac3b1e7e818b"></a>
template&lt;typename pipe_type &gt; </td></tr>
<tr class="memitem:a4dbc46746cc9d3a848cdac3b1e7e818b"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structdlib_1_1disable__if.html">disable_if</a>&lt; <a class="el" href="structdlib_1_1is__convertible.html">is_convertible</a>&lt; <a class="el" href="structdlib_1_1bridge__status.html">bridge_status</a>, typename pipe_type::type &gt; &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>enqueue_bridge_status</b> (pipe_type *, const <a class="el" href="structdlib_1_1bridge__status.html">bridge_status</a> &amp;)</td></tr>
<tr class="separator:a4dbc46746cc9d3a848cdac3b1e7e818b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a771671bea8a2955d410ca1653b032c21"><td class="memItemLeft" align="right" valign="top"><a id="a771671bea8a2955d410ca1653b032c21"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>connect_thread</b> ()</td></tr>
<tr class="separator:a771671bea8a2955d410ca1653b032c21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e07fb464d9c002ec2cbe21dcd033be8"><td class="memItemLeft" align="right" valign="top"><a id="a0e07fb464d9c002ec2cbe21dcd033be8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>receive_thread</b> ()</td></tr>
<tr class="separator:a0e07fb464d9c002ec2cbe21dcd033be8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf7ab00c0400a91183eb09b6af540a54"><td class="memItemLeft" align="right" valign="top"><a id="acf7ab00c0400a91183eb09b6af540a54"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>transmit_thread</b> ()</td></tr>
<tr class="separator:acf7ab00c0400a91183eb09b6af540a54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1multithreaded__object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1multithreaded__object')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1multithreaded__object.html">dlib::multithreaded_object</a></td></tr>
<tr class="memitem:a132da50fb1eedda870ca50e2367f493f inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1multithreaded__object.html#a132da50fb1eedda870ca50e2367f493f">multithreaded_object</a> ()</td></tr>
<tr class="separator:a132da50fb1eedda870ca50e2367f493f inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58103fff8cefe4e054f95a6e32f05625 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a58103fff8cefe4e054f95a6e32f05625"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear</b> ()</td></tr>
<tr class="separator:a58103fff8cefe4e054f95a6e32f05625 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bef919330ecc2fa4b7823ce1fb1a32b inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a2bef919330ecc2fa4b7823ce1fb1a32b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_running</b> () const</td></tr>
<tr class="separator:a2bef919330ecc2fa4b7823ce1fb1a32b inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a329de49834eeb7dd160d6412aca32e73 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a329de49834eeb7dd160d6412aca32e73"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>number_of_threads_alive</b> () const</td></tr>
<tr class="separator:a329de49834eeb7dd160d6412aca32e73 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc20d5ef936246880e74ef98ae4f9123 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="acc20d5ef936246880e74ef98ae4f9123"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>number_of_threads_registered</b> () const</td></tr>
<tr class="separator:acc20d5ef936246880e74ef98ae4f9123 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6118653ea9248c13bc33e5dd854c749c inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a6118653ea9248c13bc33e5dd854c749c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>wait</b> () const</td></tr>
<tr class="separator:a6118653ea9248c13bc33e5dd854c749c inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad165a3f13254d0c313f6f194d5831ee1 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="ad165a3f13254d0c313f6f194d5831ee1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>start</b> ()</td></tr>
<tr class="separator:ad165a3f13254d0c313f6f194d5831ee1 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a501f4a0a543be0bebf39ca539c91b912 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a501f4a0a543be0bebf39ca539c91b912"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pause</b> ()</td></tr>
<tr class="separator:a501f4a0a543be0bebf39ca539c91b912 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa50393c917c1c79224de71abfba7237a inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="aa50393c917c1c79224de71abfba7237a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>stop</b> ()</td></tr>
<tr class="separator:aa50393c917c1c79224de71abfba7237a inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9235b464122f57fe4c4882c15ae4cd63 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a9235b464122f57fe4c4882c15ae4cd63"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>should_stop</b> () const</td></tr>
<tr class="separator:a9235b464122f57fe4c4882c15ae4cd63 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d2f02da858f0ec12e5286c6f08c62f2 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memTemplParams" colspan="2"><a id="a0d2f02da858f0ec12e5286c6f08c62f2"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a0d2f02da858f0ec12e5286c6f08c62f2 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>register_thread</b> (T &amp;object, void(T::*thread)())</td></tr>
<tr class="separator:a0d2f02da858f0ec12e5286c6f08c62f2 inherit pub_methods_classdlib_1_1multithreaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a515a139ba0490eb59c6c842e19e35ff7"><td class="memItemLeft" align="right" valign="top"><a id="a515a139ba0490eb59c6c842e19e35ff7"></a>
<a class="el" href="classdlib_1_1mutex.html">mutex</a>&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:a515a139ba0490eb59c6c842e19e35ff7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c2e6c7f0b238ec2a150ff34bd4ee528"><td class="memItemLeft" align="right" valign="top"><a id="a7c2e6c7f0b238ec2a150ff34bd4ee528"></a>
<a class="el" href="classdlib_1_1signaler.html">signaler</a>&#160;</td><td class="memItemRight" valign="bottom"><b>s</b></td></tr>
<tr class="separator:a7c2e6c7f0b238ec2a150ff34bd4ee528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f17c3f7f03aebcae3fe8021aece4b7b"><td class="memItemLeft" align="right" valign="top"><a id="a3f17c3f7f03aebcae3fe8021aece4b7b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>receive_thread_active</b></td></tr>
<tr class="separator:a3f17c3f7f03aebcae3fe8021aece4b7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79eaadeeacb12a4cb8aaf30ac9dea357"><td class="memItemLeft" align="right" valign="top"><a id="a79eaadeeacb12a4cb8aaf30ac9dea357"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>transmit_thread_active</b></td></tr>
<tr class="separator:a79eaadeeacb12a4cb8aaf30ac9dea357"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc47652bc80ae1caddc78abd815f5c43"><td class="memItemLeft" align="right" valign="top"><a id="afc47652bc80ae1caddc78abd815f5c43"></a>
<a class="el" href="classdlib_1_1scoped__ptr.html">scoped_ptr</a>&lt; <a class="el" href="classdlib_1_1connection.html">connection</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>con</b></td></tr>
<tr class="separator:afc47652bc80ae1caddc78abd815f5c43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23ec697b0291c7c338d72db6dc588362"><td class="memItemLeft" align="right" valign="top"><a id="a23ec697b0291c7c338d72db6dc588362"></a>
<a class="el" href="classdlib_1_1scoped__ptr.html">scoped_ptr</a>&lt; <a class="el" href="classdlib_1_1listener.html">listener</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>list</b></td></tr>
<tr class="separator:a23ec697b0291c7c338d72db6dc588362"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97b54687a9a66c65972a2d9dcbeb7bfd"><td class="memItemLeft" align="right" valign="top"><a id="a97b54687a9a66c65972a2d9dcbeb7bfd"></a>
const unsigned short&#160;</td><td class="memItemRight" valign="bottom"><b>port</b></td></tr>
<tr class="separator:a97b54687a9a66c65972a2d9dcbeb7bfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b0152e9b2fba6ebe5259e18b59e1a3d"><td class="memItemLeft" align="right" valign="top"><a id="a0b0152e9b2fba6ebe5259e18b59e1a3d"></a>
const std::string&#160;</td><td class="memItemRight" valign="bottom"><b>ip</b></td></tr>
<tr class="separator:a0b0152e9b2fba6ebe5259e18b59e1a3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75f0fcbd643fe2224f7d2808d55b79f0"><td class="memItemLeft" align="right" valign="top"><a id="a75f0fcbd643fe2224f7d2808d55b79f0"></a>
transmit_pipe_type *const&#160;</td><td class="memItemRight" valign="bottom"><b>transmit_pipe</b></td></tr>
<tr class="separator:a75f0fcbd643fe2224f7d2808d55b79f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e429667650777784c0f5b45293fc971"><td class="memItemLeft" align="right" valign="top"><a id="a1e429667650777784c0f5b45293fc971"></a>
receive_pipe_type *const&#160;</td><td class="memItemRight" valign="bottom"><b>receive_pipe</b></td></tr>
<tr class="separator:a1e429667650777784c0f5b45293fc971"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7ad0290a736ebed96b027aff32d3d5"><td class="memItemLeft" align="right" valign="top"><a id="a2b7ad0290a736ebed96b027aff32d3d5"></a>
<a class="el" href="classdlib_1_1logger.html">logger</a>&#160;</td><td class="memItemRight" valign="bottom"><b>dlog</b></td></tr>
<tr class="separator:a2b7ad0290a736ebed96b027aff32d3d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9632bfd54794f35365836092c3f0ace"><td class="memItemLeft" align="right" valign="top"><a id="ab9632bfd54794f35365836092c3f0ace"></a>
const unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>keepalive_code</b></td></tr>
<tr class="separator:ab9632bfd54794f35365836092c3f0ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aab20fe99676d8c6a6582e064f7f482"><td class="memItemLeft" align="right" valign="top"><a id="a3aab20fe99676d8c6a6582e064f7f482"></a>
const unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>message_code</b></td></tr>
<tr class="separator:a3aab20fe99676d8c6a6582e064f7f482"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae479a5ba47699f46126b0ff3a108c6a"><td class="memItemLeft" align="right" valign="top"><a id="aae479a5ba47699f46126b0ff3a108c6a"></a>
<a class="el" href="classdlib_1_1mutex.html">mutex</a>&#160;</td><td class="memItemRight" valign="bottom"><b>current_bs_mutex</b></td></tr>
<tr class="separator:aae479a5ba47699f46126b0ff3a108c6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a0c9010f5641352136913794fa084aa"><td class="memItemLeft" align="right" valign="top"><a id="a1a0c9010f5641352136913794fa084aa"></a>
<a class="el" href="structdlib_1_1bridge__status.html">bridge_status</a>&#160;</td><td class="memItemRight" valign="bottom"><b>current_bs</b></td></tr>
<tr class="separator:a1a0c9010f5641352136913794fa084aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a996ac1b5a6b56f4717317af559df253f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a996ac1b5a6b56f4717317af559df253f">&#9670;&nbsp;</a></span>impl_bridge()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename transmit_pipe_type , typename receive_pipe_type &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classdlib_1_1impl_1_1impl__bridge.html">dlib::impl::impl_bridge</a>&lt; transmit_pipe_type, receive_pipe_type &gt;::<a class="el" href="classdlib_1_1impl_1_1impl__bridge.html">impl_bridge</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>listen_port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">transmit_pipe_type *&#160;</td>
          <td class="paramname"><em>transmit_pipe_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">receive_pipe_type *&#160;</td>
          <td class="paramname"><em>receive_pipe_</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">CONVENTION
    - if (list) then
        - this object is supposed to be listening on the list object for incoming
          connections when not connected.
    - else
        - this object is supposed to be attempting to connect to ip:port when
          not connected.

    - get_bridge_status() == current_bs
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="bridge_2bridge_8h_source.html">bridge/bridge.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
